From 54725f449dfaba11f10855044f5f1b50ca7680d7 Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date: May 24 2021 17:19:40 +0000
Subject: [PATCH 44/88] run hardlink at the end


as asked in https://pagure.io/fedora-infrastructure/issue/8964

---

diff --git a/build-scripts/rebuild-site.py b/build-scripts/rebuild-site.py
index e69e516..10e0537 100755
--- a/build-scripts/rebuild-site.py
+++ b/build-scripts/rebuild-site.py
@@ -182,11 +182,11 @@ def prepare_translated_sources(translated_sources, site_yml, languages, config):
                     original_module_dir = os.path.join(repo_dir, "modules", module)
                     module_dir = os.path.join(en_sources, component, version, "modules", module)
 
-                    subprocess.run(["cp", "-r", original_module_dir, module_dir])
+                    subprocess.run(["cp", "-a", original_module_dir, module_dir])
 
                     if module == "ROOT" or "nav" in antora_yml:
                         # if this is the main antora.yml file
-                        subprocess.run(["cp", "-r", antora_yml_file, os.path.join(en_sources, component, version, "antora.yml")])
+                        subprocess.run(["cp", "-a", antora_yml_file, os.path.join(en_sources, component, version, "antora.yml")])
                         log("----- copying antora.yml for  {component} {module} {version}".format(
                                 component=component, module=module, version=version))
                     else:
@@ -207,13 +207,13 @@ def prepare_translated_sources(translated_sources, site_yml, languages, config):
             lang_dir = os.path.join(translated_sources, language)
             for component in components:
                 en_component_dir = os.path.join(en_sources, component)
-                subprocess.run(["cp", "-r", en_component_dir, lang_dir])
+                subprocess.run(["cp", "-a", en_component_dir, lang_dir])
 
         # And finally copy the original translated sources
         # into translated_sources
         for language in languages:
             src = os.path.join(translated_sources_original, language)
-            subprocess.run(["cp", "-r", src, translated_sources + "/"])
+            subprocess.run(["cp", "-a", src, translated_sources + "/"])
 
     return components
 
@@ -304,7 +304,7 @@ def main():
             target_dir_copied = "/antora/output/en-US.building/en-US"
             target_dir_final = "/antora/output/en-US"
             shutil.rmtree(target_dir_copying, ignore_errors=True)
-            subprocess.run(["cp", "-r", source_dir, target_dir_copying])
+            subprocess.run(["cp", "-a", source_dir, target_dir_copying])
             shutil.rmtree(target_dir_final, ignore_errors=True)
             shutil.move(target_dir_copied, target_dir_final)
             shutil.rmtree(target_dir_copying, ignore_errors=True)
@@ -376,7 +376,7 @@ def main():
                 target_dir_copied = "/antora/output/{lang}.building/{lang}".format(lang=lang)
                 target_dir_final = "/antora/output/{lang}".format(lang=lang)
                 shutil.rmtree(target_dir_copying, ignore_errors=True)
-                subprocess.run(["cp", "-r", source_dir, target_dir_copying])
+                subprocess.run(["cp", "-a", source_dir, target_dir_copying])
                 shutil.rmtree(target_dir_final, ignore_errors=True)
                 shutil.move(target_dir_copied, target_dir_final)
                 shutil.rmtree(target_dir_copying, ignore_errors=True)

